
Name:           qt6-rpm-macros
Version:        6.3.1
Release:        %mkrel 1
Summary:    Base install macros for Qt 6
Group:          Development/Libraries
License:       GPLv2
URL:             https://www.pclinuxos.com
Source:        qt6.macros
BuildArch:      noarch
Provides:       qt6-macros = %{version}-%{release}
Requires:       cmake
Requires:       ninja
Requires:      pclinuxos-release

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for QT 6.

%files
%{_sysconfdir}/rpm/macros.d/qt6.macros

%prep
#nothing

%build
#nothing

%install
install -d -m 0755 %{buildroot}/%{_sysconfdir}/rpm/macros.d
install -p -m 0644 %{SOURCE0} %{buildroot}/%{_sysconfdir}/rpm/macros.d/qt6.macros

sed -e 's,VERSION,%{version},g' -i %{buildroot}%{_sysconfdir}/rpm/macros.d/qt6.macros

%changelog
* Sun Oct 02 2022 tex - 6.3.1-1pclos2022
- create pkg for Qt6
